# Karma Lookup

{% hint style="success" %}
Summary

The Karma APIs grants businesses access to a large pool of data from different lenders. Businesses are able to check if their customers have been blacklisted.&#x20;
{% endhint %}

Karma is a database of blacklisted bad actors within the Lendsqr ecosystem. A bad actor is someone who has been involved with fraud or has tried to request loans with fake identity. A bad actor may also be a chronic defaulter whose loan has been written off.

This endpoint is used to check if a customer is on the blacklist of bad actors. The following qualify as valid identity to check Karma:

| **Field**            | **Descript**ion                                                                        | **Format Example**                                     |
| -------------------- | -------------------------------------------------------------------------------------- | ------------------------------------------------------ |
| Email Address        | Format should be in the form of [email@example.com](https://mailto:email@example.com/) | [email@example.com](https://mailto:email@example.com/) |
| Phone Number         | Format should be in the form of +2347012345678                                         | +2347012345678                                         |
| Domain Name          | Format should be in the form of example.com                                            | example.com                                            |
| BVN                  | Format should be in the form of 22212345678                                            | 22212345678                                            |
| NUBAN Account number | Format should be in the form of XXX-1234567890 Where XXX is the CBN bank code          | 070-1234567890 for a Fidelity Bank account.            |
| Images               | Format is Base64                                                                       | Base64 encoded string                                  |

```bash
curl --location 'https://adjutor.lendsqr.com/v2/verification/karma/0zspgifzbo.ga'
```

```json
{
  "status": "success",
  "message": "Successful",
  "data": {
    "karma_identity": "0zspgifzbo.ga",
    "amount_in_contention": "0.00",
    "reason": null,
    "default_date": "2020-05-18",
    "karma_type": {
      "karma": "Others"
    },
    "karma_identity_type": {
      "identity_type": "Domain"
    },
    "reporting_entity": {
      "name": "Blinkcash",
      "email": "support@blinkcash.ng"
    }
  },
  "meta": {
    "cost": 10,
    "balance": 1600
  }
}
```

It is up to you to proceed with such customer or not.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adjutor.io/adjutor-api-endpoints/validation/karma-lookup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
